Subject: bug#15934: [Feature request] Highlight full lines

From: "Sebastien Vauban" <[email-masked]>
Date: Wed, 11 Dec 2013 13:40:55 +0100

Hello Michael,

Michael Heerdegen wrote:
>> I think it'd be nicer to highlight full lines (vs up to the last character)
>> when using C-x w l (highlight-lines-matching-regexp).
>
> I too think that this would be more appropriate.  Something like
> the following should do the job:
>
>
> *** /home/micha/software/emacs/lisp/hi-lock.el	2013-10-26 18:26:42.117620602 +0200
> --- /home/micha/today/hi-lock.el	2013-12-11 02:31:03.251432385 +0100
> ***************
> *** 448,454 ****
>     (hi-lock-set-pattern
>      ;; The \\(?:...\\) grouping construct ensures that a leading ^, +, * or ?
>      ;; or a trailing $ in REGEXP will be interpreted correctly.
> !    (concat "^.*\\(?:" regexp "\\).*$") face))
>   
>   
>   ;;;###autoload
> --- 448,454 ----
>     (hi-lock-set-pattern
>      ;; The \\(?:...\\) grouping construct ensures that a leading ^, +, * or ?
>      ;; or a trailing $ in REGEXP will be interpreted correctly.
> !    (concat "^.*\\(?:" regexp "\\).*\\($\\)\n?") face))
>   
>   
>   ;;;###autoload
>
>
> Can we use this?

I've tested it. It does what I wish it should do!

Thanks...

Best regards,
  Seb

-- 
Sebastien Vauban